%define upstream_name    Text-FixEOL
%define upstream_version 1.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Canonicalizes mixed convention EOL/EOF
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Converts the EOL and EOF conventions in the passed string to a canonicalization
form that handles 'mixed' EOL conventions.

It canonicalizes EOL as \n (the platform defined EOL) if it does not know the
particular platform. Can also 'fix' the end-of-file mark if needed and ensure
that the last line of the string is EOL terminated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.60.0-7.mga6
+ Revision: 1034916
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.60.0-6.mga6
+ Revision: 936447
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-5.mga5
+ Revision: 744358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-4.mga5
+ Revision: 686621
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.60.0-3.mga4
+ Revision: 515508
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-2.mga3
+ Revision: 374054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 1.06

* Tue Jan 18 2011 jquelin <jquelin> 1.50.0-2.mga1
+ Revision: 22939
- cleaning spec file
- imported package perl-Text-FixEOL

